<template>
    <div class="container">
        <div class="row" v-if="shows">
            <b-card-group deck>
                <div class="col-4 mt-4" v-for="show in shows.slice(0, 9)" v-bind:key="show.id">
                    <b-card :title="show.name" :img-src="show.image.medium" img-top>
                        <button @click="addToSeen()">
                            <i class="material-icons">
                                remove_red_eye
                            </i>
                        </button>
                    </b-card>
                </div>
            </b-card-group>
        </div>
    </div>
</template>

<script>
import { mapState } from "vuex";
export default {
    name: 'ShowList',
    computed: {
        ...mapState(["shows"])
    },
    mounted() {
        this.$store.dispatch("getAllShows");
    },
    methods: {
        addToSeen() {

        }
    }
}
</script>

<style sass scoped>
</style>
